Subject: Re: SD/MMC with db1100

From: Yasushi SHOJI <[email-masked]>
Date: Sun, 14 Sep 2003 23:36:13 +0900

At 25 Aug 2003 09:16:15 -0700,
Pete Popov wrote:
> 
> On Sun, 2003-08-24 at 18:01, Dan Malek wrote:
> > Yasushi SHOJI wrote:
> > 
> > > Could someone enlighten me what's wrong with my code? or does anyone
> > > successfully used sd/mmc on au1?
> > 
> > There is a patch in Ralf's hands for the sd/mmc on this board.  If
> > it doesn't show up soon, we'll find a way to get it to you.
> 
> It's been there for a little while now -- a couple of weeks or so I
> think.
> 
> ftp.linux-mips.org:/pub/linux/mips/people/ppopov/au1x_mmc.patch

Thanks for the patch, Dan and Pete.

I just got back from vacation and tried the patch. The result was same
as what I tested with my code. My card doesn't respond to Command 1,
MMC_SEND_OP_COND.

The controller _seems_ sending the command on the data line; I checked
with logic analyzer.

I've been using Panasonic's SD card, RP-SD064B; and Hagiwara syscom's
MMC card, HB28D032MM2.

is there anything that I need to do use SD other than the patch?

thanks in advance,
--
       yashi